namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter04.Listing04_27
{
    public class Program
    {
        public static void Main(string[] args)
        {
            int playerCount;
            System.Console.Write(
              "Wprowadź liczbę graczy (1 lub 2):");
            playerCount = int.Parse(System.Console.ReadLine());
            if (playerCount != 1 && playerCount != 2)
            {
                string message =
                  "Podałeś nieprawidłową liczbę graczy.";
            }
            else
            {
                // …
            }
            // Błąd: zmienna message nie znajduje się w zasięgu.
            //System.Console.WriteLine(message);
        }
    }
}
